curl "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": {
"id": "webhook-uuid-1",
"campaign_id": "campaign-uuid",
"name": "Lifecycle Webhook",
"webhook_url": "https://example.com/campaign-events",
"events": ["campaign.started", "campaign.completed"],
"enabled": true,
"timeout": 30,
"max_retries": 3,
"include_call_events": false,
"created_at": "2024-01-15T15:00:00Z"
}
}
Campaign Webhooks
Get Campaign Webhook
Retrieve a campaign webhook by ID
GET
/
api
/
v1
/
campaigns
/
{campaign_id}
/
webhooks
/
{webhook_id}
curl "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here"
{
"success": true,
"data": {
"id": "webhook-uuid-1",
"campaign_id": "campaign-uuid",
"name": "Lifecycle Webhook",
"webhook_url": "https://example.com/campaign-events",
"events": ["campaign.started", "campaign.completed"],
"enabled": true,
"timeout": 30,
"max_retries": 3,
"include_call_events": false,
"created_at": "2024-01-15T15:00:00Z"
}
}
Get Campaign Webhook
Retrieve a campaign webhook configuration.Endpoint
GET /api/v1/campaigns/{campaign_id}/webhooks/{webhook_id}
Path parameters
string
required
Campaign UUID.
string
required
Webhook UUID.
Request headers
string
required
Bearer token. Format:
Bearer talq_your_environment_token_hereExamples
curl "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/webhooks/webhook-uuid-1" \
-H "Authorization: Bearer talq_your_environment_token_here"
Response
{
"success": true,
"data": {
"id": "webhook-uuid-1",
"campaign_id": "campaign-uuid",
"name": "Lifecycle Webhook",
"webhook_url": "https://example.com/campaign-events",
"events": ["campaign.started", "campaign.completed"],
"enabled": true,
"timeout": 30,
"max_retries": 3,
"include_call_events": false,
"created_at": "2024-01-15T15:00:00Z"
}
}
Was this page helpful?